> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coinpaprika.com/llms.txt
> Use this file to discover all available pages before exploring further.

# API ID mappings

> The API ID Mappings endpoint allows you to map IDs from other cryptocurrency API providers to Coinpaprika API IDs. This is especially useful when you have provider-specific IDs and want to interact with the Coinpaprika API using its own standardized IDs. In addition to Coinpaprika's and other providers internal ID system, this endpoint also supports mapping [ISIN(International Securities Identification Number)](https://www.isin.org/isin-for-cryptocurrency/) and [DTI (Digital Token Identifier)](https://www.iso.org/obp/ui/en/#iso:std:iso:24165:-2:ed-1:v1:en) IDs.

**Use Cases:**
  - Map your existing provider IDs (including ISIN and DTI) to Coinpaprika IDs
  - Retrieve other provider IDs (and ISIN, DTI) corresponding to a given Coinpaprika ID
  - Easily integrate and standardize data across different platforms with varying ID systems

This flexibility enables seamless integration across different crypto data sources and allows you to work with a variety of ID formats within the Coinpaprika ecosystem.

**Available mapping providers**
  - Coinpaprika
  - Coinmarketcap
  - Coingecko
  - Cryptocompare
  - [ISIN](https://www.isin.org/isin-for-cryptocurrency/)
  - [DTI](https://www.iso.org/obp/ui/en/#iso:std:iso:24165:-2:ed-1:v1:en)

**Available on the following API plans:**
- Business
- Enterprise

**Examples:**

Use a single query parameter to get mappings for a specific Coinpaprika, Coinmarketcap, Coingecko, Cryptocompare, ISIN, or DTI ID. The response will include all available mappings for the specified ID.

```shell
# Get mappings for a specific Coinpaprika ID
curl --request GET \
    --url 'https://api-pro.coinpaprika.com/v1/coins/mappings?coinpaprika=btc-bitcoin' \
    --header 'Authorization: <your-api-key>'
  
# Get mappings for a specific Coinmarketcap ID
curl --request GET \
    --url 'https://api-pro.coinpaprika.com/v1/coins/mappings?coinmarketcap=1' \
    --header 'Authorization: <your-api-key>'\
  
# Get mappings for a specific Coingecko ID
curl --request GET \
    --url 'https://api-pro.coinpaprika.com/v1/coins/mappings?coingecko=bitcoin' \
    --header 'Authorization: <your-api-key>'
  
# Get mappings for a specific Cryptocompare ID
curl --request GET \
    --url 'https://api-pro.coinpaprika.com/v1/coins/mappings?cryptocompare=1' \
    --header 'Authorization: <your-api-key>'
  
# Get mappings for a specific ISIN ID
curl --request GET \
    --url 'https://api-pro.coinpaprika.com/v1/coins/mappings?isin=XTV15WLZJMF0' \
    --header 'Authorization: <your-api-key>'
               
# Get mappings for a specific DTI ID
curl --request GET \
    --url 'https://api-pro.coinpaprika.com/v1/coins/mappings?dti=V15WLZJMF' \
    --header 'Authorization: <your-api-key>'
```

**Update interval:** Every 1 minute.




## OpenAPI

````yaml /api-reference/rest-api/openapi.yml get /coins/mappings
openapi: 3.1.0
info:
  version: 1.7.10
  title: Coinpaprika API
  license:
    name: MIT
    url: https://coinpaprika.com/terms-of-use
  x-logo:
    url: https://coinpaprika.com/assets/img/API_logo_coinpage_1.svg
    backgroundColor: '#FAFAFA'
  description: >
    Coinpaprika API delivers precise & frequently updated market data from the
    world of crypto: coin prices, volumes, market caps, ATHs, return rates and
    more.


    # Introduction

    If you want to use the Coinpaprika API, you have two main options: you can
    choose the API Free plan, which has sufficient limits for hobby and
    non-commercial use, or get one of the paid plans, ideal for commercial or
    professional use. To decide which plan is the best for you, check the [Plans
    and Pricing comparison](https://coinpaprika.com/api).


    Depending on the selected plan, you should send requests to the appropriate
    base URL:


    | Plan       | Base URL                            |

    |------------|-------------------------------------|

    | Free       | https://api.coinpaprika.com/v1/     |

    | Starter    | https://api-pro.coinpaprika.com/v1/ |

    | Pro        | https://api-pro.coinpaprika.com/v1/ |

    | Business   | https://api-pro.coinpaprika.com/v1/ |

    | Enterprise | https://api-pro.coinpaprika.com/v1/ |


    # Authentication

    If you use the Free plan, you don't need to set up an API key for each
    request. For other plans it is required. You can generate the API key in the
    Developer Portal after signing in.


    To provide the API key in REST API calls, set the `Authorization` header:

    ```

    Authorization: <api-key>

    ```


    # Standards and conventions

    ## General


    * All endpoints return either a JSON object or array

    * All timestamp related fields are in seconds


    ## Errors

    * API errors are formatted as JSON:

    ```{"error": "<error message>"}```

    * The API uses standard HTTP status codes to indicate a request failure:
      * HTTP 4XX return codes are used for invalid requests - the issue is on the sender's side
      * HTTP 5XX return codes are used for internal errors - the issue is on the server's side

      | HTTP Status | Description |
      |---|---|
      | 400 Bad Request | The server could not process the request due to invalid request parameters or invalid format of the parameters. |
      | 402 Payment Required | The request could not be processed because of the user has an insufficient plan. If you want to be able to process this request, get a [higher plan](https://coinpaprika.com/api). |
      | 403 Forbidden | The request could not be processed due to invalid API key. |
      | 404 Not Found | The server could not process the request due to invalid URL or invalid path parameter. |
      | 429 Too Many Requests | The rate limit has been exceeded. Reduce the frequency of requests to avoid this error. |
      | 500 Internal Server Error | An unexpected server error has occured. |
      

    # Rate limit

    * The monthly number of requests is limited depending on the plan:
      | Plan       | Calls/month                         |
      |------------|-------------------------------------|
      | Free       | 20 000 |
      | Starter    | 200 000 |
      | Pro        | 500 000 |
      | Business   | 3 000 000 |
      | Enterprise | No limits |

    # API Clients

    We provide the API clients in several popular programming languages:

    * [PHP](https://github.com/coinpaprika/coinpaprika-api-php-client)

    * [NodeJS](https://github.com/coinpaprika/coinpaprika-api-nodejs-client)

    * [GO](https://github.com/coinpaprika/coinpaprika-api-go-client)

    * [Swift](https://github.com/coinpaprika/coinpaprika-api-swift-client)

    * [Kotlin](https://github.com/coinpaprika/coinpaprika-api-kotlin-client)

    * [Python](https://github.com/coinpaprika/coinpaprika-api-python-client)

    * [Google Sheets](https://github.com/coinpaprika/coinpaprika-google-sheet)

    * Community Contributed Clients:
      * [Rust](https://github.com/tokenomia-pro/coinpaprika-api-rust-client) built by <a href="https://tokenomia.pro/" target="_blank">tokenomia.pro</a>
      * [C#](https://github.com/MSiccDev/CoinpaprikaAPI)
      * [JS](https://github.com/jaggedsoft/coinpaprika-js)

    **Note**: some of them may not be updated yet. We are working on improving
    them and they will be updated soon. If you'd like to contribute, please
    report issues and send PRs on Github.



    # Terms of use

    * [Download terms of
    use](https://coinpaprika.github.io/files/terms_of_use_v1.pdf)

    # Archival documentations

    * [API v1.2](https://api.coinpaprika.com/docs/1.2)

    * [API v1.3](https://api.coinpaprika.com/docs/1.3)

    * [API v1.4](https://api.coinpaprika.com/docs/1.4)

    * [API v1.5](https://api.coinpaprika.com/docs/1.5)

    * [API v1.6](https://api.coinpaprika.com/docs/1.6)

    # Version history

    ## 1.7.10 - 2025.04.14

    * Added `5m` interval for historical OHLCV endpoint

    ## 1.7.9 - 2024.12.18

    * API mappings endpoint documentation

    ## 1.7.8 - 2024.01.24

    * Plan limits update

    ## 1.7.7 - 2023.06.07

    * Added official Python client link

    ## v1.7.6 - 2023.04.12

    * New intervals for OHLCV endpoint

    ## v1.7.5 - 2022.12.07

    * Removed documentation for /beta/ endpoints

    ## v1.7.4 - 2022.09.19

    * Key info endpoint

    * Coin logo image URL

    ## v1.7.3 - 2022.09.08

    * Plans update

    ## v1.7.2 - 2022.07.22

    * Changelog endpoint documentation

    ## v1.7.1 - 2022.07.14

    * Beta endpoints documentation

    ## v1.7.0 - 2022.05.06

    * API-Pro documentation

    ## v1.6.1 - 2020.12.09

    * Added information about first date with price data for currency ticker
    [/tickers](#operation/getTickers) and
    [/tickers/{coin_id}](#operation/getTickersById)

    * Added redirect for historical tickers by contract address
    [/contracts/{platform_id}/{contract_address}/historical](#operation/getHistoricalTicker)

    ## v1.6.0 - 2020.10.27

    * Added contracts section [/contracts](#operation/getPlatforms),
    [/contracts/{platform_id}](#operation/getContracts),

    [/contracts/{platform_id}/{contract_address}](#operation/getTicker)
servers:
  - url: https://api.coinpaprika.com/v1
security: []
tags:
  - name: Key
    description: API key related operations
  - name: Global
    description: Global market data
  - name: Coins
    description: Coin-related data
  - name: People
    description: People related to cryptocurrencies
  - name: Tags
    description: Cryptocurrency tags
  - name: Tickers
    description: Cryptocurrency tickers
  - name: Exchanges
    description: Cryptocurrency exchanges
  - name: Tools
    description: Various tools
  - name: Contracts
    description: Contract-related data
  - name: Changelog
    description: API changelog
paths:
  /coins/mappings:
    get:
      tags:
        - Coins
      summary: API ID mappings
      description: >
        The API ID Mappings endpoint allows you to map IDs from other
        cryptocurrency API providers to Coinpaprika API IDs. This is especially
        useful when you have provider-specific IDs and want to interact with the
        Coinpaprika API using its own standardized IDs. In addition to
        Coinpaprika's and other providers internal ID system, this endpoint also
        supports mapping [ISIN(International Securities Identification
        Number)](https://www.isin.org/isin-for-cryptocurrency/) and [DTI
        (Digital Token
        Identifier)](https://www.iso.org/obp/ui/en/#iso:std:iso:24165:-2:ed-1:v1:en)
        IDs.


        **Use Cases:**
          - Map your existing provider IDs (including ISIN and DTI) to Coinpaprika IDs
          - Retrieve other provider IDs (and ISIN, DTI) corresponding to a given Coinpaprika ID
          - Easily integrate and standardize data across different platforms with varying ID systems

        This flexibility enables seamless integration across different crypto
        data sources and allows you to work with a variety of ID formats within
        the Coinpaprika ecosystem.


        **Available mapping providers**
          - Coinpaprika
          - Coinmarketcap
          - Coingecko
          - Cryptocompare
          - [ISIN](https://www.isin.org/isin-for-cryptocurrency/)
          - [DTI](https://www.iso.org/obp/ui/en/#iso:std:iso:24165:-2:ed-1:v1:en)

        **Available on the following API plans:**

        - Business

        - Enterprise


        **Examples:**


        Use a single query parameter to get mappings for a specific Coinpaprika,
        Coinmarketcap, Coingecko, Cryptocompare, ISIN, or DTI ID. The response
        will include all available mappings for the specified ID.


        ```shell

        # Get mappings for a specific Coinpaprika ID

        curl --request GET \
            --url 'https://api-pro.coinpaprika.com/v1/coins/mappings?coinpaprika=btc-bitcoin' \
            --header 'Authorization: <your-api-key>'
          
        # Get mappings for a specific Coinmarketcap ID

        curl --request GET \
            --url 'https://api-pro.coinpaprika.com/v1/coins/mappings?coinmarketcap=1' \
            --header 'Authorization: <your-api-key>'\
          
        # Get mappings for a specific Coingecko ID

        curl --request GET \
            --url 'https://api-pro.coinpaprika.com/v1/coins/mappings?coingecko=bitcoin' \
            --header 'Authorization: <your-api-key>'
          
        # Get mappings for a specific Cryptocompare ID

        curl --request GET \
            --url 'https://api-pro.coinpaprika.com/v1/coins/mappings?cryptocompare=1' \
            --header 'Authorization: <your-api-key>'
          
        # Get mappings for a specific ISIN ID

        curl --request GET \
            --url 'https://api-pro.coinpaprika.com/v1/coins/mappings?isin=XTV15WLZJMF0' \
            --header 'Authorization: <your-api-key>'
                       
        # Get mappings for a specific DTI ID

        curl --request GET \
            --url 'https://api-pro.coinpaprika.com/v1/coins/mappings?dti=V15WLZJMF' \
            --header 'Authorization: <your-api-key>'
        ```


        **Update interval:** Every 1 minute.
      operationId: getMappings
      parameters:
        - $ref: '#/components/parameters/coinpaprika_id'
        - $ref: '#/components/parameters/coinmarketcap_id'
        - $ref: '#/components/parameters/coingecko_id'
        - $ref: '#/components/parameters/cryptocompare_id'
        - $ref: '#/components/parameters/isin_id'
        - $ref: '#/components/parameters/dti_id'
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/api_mappings'
        '429':
          description: too many requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/tooManyRequestsError'
      security:
        - APIKeyAuth: []
      x-codeSamples:
        - lang: cURL
          label: CLI
          source: >
            curl --request GET \

            --url
            'https://api-pro.coinpaprika.com/v1/coins/mappings?coinpaprika=btc-bitcoin'
            \

            --header 'Authorization: <your-api-key>'
components:
  parameters:
    coinpaprika_id:
      name: coinpaprika
      in: query
      required: false
      description: >
        Coinpaprika API ID of a coin you want to map to the other provider API
        IDs
      schema:
        type: string
    coinmarketcap_id:
      name: coinmarketcap
      in: query
      required: false
      description: >
        Coinmarketcap API ID of a coin you want to map to the other provider API
        IDs
      schema:
        type: string
    coingecko_id:
      name: coingecko
      in: query
      required: false
      description: |
        Coingecko API ID of a coin you want to map to the other provider API IDs
      schema:
        type: string
    cryptocompare_id:
      name: cryptocompare
      in: query
      required: false
      description: >
        Cryptocompare API ID of a coin you want to map to the other provider API
        IDs
      schema:
        type: string
    isin_id:
      name: isin
      in: query
      required: false
      description: >
        [ISIN](https://www.isin.org/isin-for-cryptocurrency/) ID of a coin you
        want to map to the other provider API IDs
      schema:
        type: string
    dti_id:
      name: dti
      in: query
      required: false
      description: >
        [Digital Token
        Identifier](https://www.iso.org/obp/ui/en/#iso:std:iso:24165:-2:ed-1:v1:en)
        of a coin you want to map to the other provider API IDs
      schema:
        type: string
  schemas:
    api_mappings:
      type: object
      properties:
        coinpaprika:
          type: string
          example: btc-bitcoin
          description: ID of coin on coinpaprika.com
        coinmarketcap:
          type: string
          example: '1'
          description: ID of coin on coinmarketcap.com
        coingecko:
          type: string
          example: bitcoin
          description: ID of coin on coingecko.com
        cryptocompare:
          type: string
          example: '1'
          description: ID of coin on cryptocompare.com
        isin:
          type: string
          example: XTV15WLZJMF0
          description: ISIN (International Securities Identification Number) of the coin
        dti:
          type: string
          example: V15WLZJMF
          description: Digital Token Identifier of the coin
        updated_at:
          type: string
          description: Date of the last update of the mappings. RFC3999 (ISO-8601) format
          example: '2024-12-12T13:13:28Z'
    tooManyRequestsError:
      type: object
      properties:
        error:
          type: string
          example: you have reached maximum request limit
          description: Error description
  securitySchemes:
    APIKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````